Download it now!
Bug 67918 - Writer should not have an isolated AXTextArea for each paragraph
Summary: Writer should not have an isolated AXTextArea for each paragraph
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2013-08-08 19:49 UTC by Boris Dušek
Modified: 2018-09-30 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Dušek 2013-08-08 19:49:30 UTC
In Writer, each paragraph forms a standalone AXTextArea. So if one moves cursor between paragraphs, VoiceOver announces "edit text Insertion on word:  can  after character:  a <here comes the whole text of the AXTextArea>". But from the perspective of the VoiceOver user, they just moved "one line", so such huge announcements are unsubstantiated and confusing.

Solution one is to have an AXTextArea for the whole page or even document. That would be a bit non-trivial to implement.

Other solution is to have separate AXTextArea's like now, but they should not be isolated - we should group them using AXSharedTextUIElements. E.g. while Pages has an AXTextArea for each page (or each column on each page), it groups them all using AXSharedTextUIElements and VoiceOver then behaves as if it was one huge AXTextArea and does not announce the strange messages.
Comment 1 Boris Dušek 2013-08-09 19:16:41 UTC
Other thing why this is an issue: now that bug 67680 is fixed, searching for a specific text attribute stops at the boundary of the single AXTextArea, it does not continue search in the next paragraph (even though that's exactly what the user rightfully expects).
Comment 2 QA Administrators 2015-04-01 14:41:01 UTC Comment hidden (obsolete)
Comment 3 tommy27 2016-04-16 07:27:17 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2016-09-15 12:08:15 UTC
Resetting it to UNCONFIRMED as nobody tested to confirm this.

@alex, @steve: can either of you confirm this?
Comment 5 Alex Thurgood 2016-09-15 13:59:15 UTC
Confirming also on 

ersion: 5.3.0.0.alpha0+
Build ID: c5ba37f58a23fc46b48c0d62d4fd1b3bf7e34f33
Threads CPU : 2; Version de l'OS :Mac OS X 10.11.6; UI Render : par défaut; 
Locale : fr-FR (fr.UTF-8); Calc: group
Comment 6 Alex Thurgood 2016-09-15 14:01:53 UTC
In my master build, apart from each line being considered a new AXTextArea, there are sometimes whole paragraphs that don't even get highlighted, and so not read, and even within a paragraph, sentences that get ignored, while the end sentence gets highlighted as a separate AXTextArea.
Comment 7 Xisco Faulí 2017-09-29 08:50:06 UTC Comment hidden (obsolete)
Comment 8 Boris Dušek 2017-09-29 14:34:33 UTC
Tested
with LibreOffice 5.4.1.2 (Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527)
on macOS 10.13 (17A365).

The result is that this issue is still reproducible.
Comment 9 QA Administrators 2018-09-30 02:49:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug